View unanswered posts    View active topics

All times are UTC - 6 hours





Post new topic Reply to topic  [ 15 posts ] 
Print view Previous topic   Next topic  
Author Message
Search for:
PostPosted: Fri Aug 20, 2010 10:13 am 
Offline
Joined: Tue Apr 18, 2006 3:10 pm
Posts: 24
Location: Finland SW
I made an update last night, sudo pacman -Syu.
core-testing and extra-testing repos.

And now mythnews and mythbrowser not working. Any idea ?

I try locate libmythdb-0.23.1.so.0 but not found.

Code:
2010-08-20 18:43:58.995 MythPlugin::init() dlerror: libmythdb-0.23.1.so.0: cannot open shared object file: No such file or directory
2010-08-20 18:43:58.996 Unable to initialize plugin 'mythnews'.
2010-08-20 18:43:58.996 Unable to run plugin 'mythnews': not initialized
2010-08-20 18:44:22.763 MythPlugin::init() dlerror: libmythdb-0.23.1.so.0: cannot open shared object file: No such file or directory
2010-08-20 18:44:22.763 Unable to initialize plugin 'mythbrowser'.
2010-08-20 18:44:22.763 Unable to run plugin 'mythbrowser': not initialized


edit. protocol mismatch ? I got this error in mythweb :
User Notice at /data/srv/httpd/htdocs/mythweb/classes/MythBackend.php, line 100:
Incompatible protocol version (mythweb=23056, backend=56)


Top
 Profile  
 
 Post subject: Same issues
PostPosted: Fri Aug 20, 2010 11:07 am 
Offline
Joined: Wed Apr 21, 2004 1:57 pm
Posts: 28
I am having the same issue with mythweb and also have lost access to Mythvideo. Select it from the menu and it just sits there like I never made the selection.


Top
 Profile  
 
 Post subject:
PostPosted: Fri Aug 20, 2010 12:14 pm 
Offline
Joined: Fri Jul 21, 2006 11:12 pm
Posts: 1175
Location: SC
Should be fixed now. You will have to reinstall the mythtv and mythweather packages. The package version of mythtv should be 31 and the mythweather package version should be 30.


Top
 Profile  
 
 Post subject:
PostPosted: Fri Aug 20, 2010 1:21 pm 
Offline
Joined: Wed Apr 21, 2004 1:57 pm
Posts: 28
I am getting mythtv 0.23-32 and mythweb 0.23-29 mythvideo 0.23-29


Last edited by mikemcc11 on Fri Aug 20, 2010 1:55 pm, edited 1 time in total.


Top
 Profile  
 
 Post subject:
PostPosted: Fri Aug 20, 2010 1:49 pm 
Offline
Joined: Tue Apr 18, 2006 3:10 pm
Posts: 24
Location: Finland SW
mikemcc11 wrote:
I am getting mythtv 0.23-32 and mythweb 0.23-29


Same here, (and mythweather 0.23-31).


Top
 Profile  
 
 Post subject:
PostPosted: Fri Aug 20, 2010 7:33 pm 
Offline
Joined: Fri Jul 21, 2006 11:12 pm
Posts: 1175
Location: SC
Delete the mythtv-0.23-32-i686.pkg.tar.gz and mythweather-0.23-31-i686.pkg.tar.gz from your /data/var/cache/pacman/pkg/ directory and then do a pacman -Syu again. The mythweb and mythvideo packages should be fine at version 29 and won't need to be reinstalled.


Top
 Profile  
 
 Post subject:
PostPosted: Sat Aug 21, 2010 12:42 am 
Offline
Joined: Tue Apr 18, 2006 3:10 pm
Posts: 24
Location: Finland SW
I delete those files and then reinstall (downgrade) mythtv and mythweather packages and everything is fine again.

Thanks for help.


Last edited by hartsu on Sat Aug 21, 2010 1:35 am, edited 1 time in total.


Top
 Profile  
 
 Post subject:
PostPosted: Sat Aug 21, 2010 1:20 am 
Offline
Joined: Thu Dec 07, 2006 10:25 am
Posts: 109
Location: Elgin, Illinois
pacman -Syuu
will downgrade the system to whatever is avlaible, so since only myth and mythweather were mismatched they were downgrade.

Now if only mythweather would not crash the frontend when I try to see the weather, I might be happier.

_________________
The Atomic Ant.


Top
 Profile  
 
 Post subject:
PostPosted: Sat Aug 21, 2010 5:25 am 
Offline
Joined: Wed Apr 21, 2004 1:57 pm
Posts: 28
I'm not sure what I did to mess this up, but your procedure fixed it. Thanks...my family was ready to go postal on me....now I look like a genius! You guys are the best!


Top
 Profile  
 
 Post subject:
PostPosted: Thu Aug 26, 2010 9:32 am 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 977
Location: Lexington, Ky
Help!! I just did an update with pacman and now Mythweather is gone from the menu and I get the following message from Mythweb:

Code:
Warning at /data/srv/httpd/htdocs/mythweb/modules/weather/init.php, line 33:
file_exists() [function.file-exists]: open_basedir restriction in effect. File(/usr/share/mythtv/mythweather/scripts/ca_envcan/envcan.pl) is not within the allowed path(s): (/data/srv/httpd/htdocs/:/home/:/tmp/:/usr/share/pear/:/data/srv/tmp:/usr/share/mythtv/mythweather/scripts/:/data/srv/httpd/htdocs/mythweb/data/video:/myth/ipodfeed:/data/srv/httpd/htdocs/archive:/etc)


What do I need to do to fix this, and get Mythweather back?

The latest listed versions are:
mythtv-0.23-30-i686.pkg.tar.gz
mythweather-0.23-29-i686.pkg.tar.gz
mythweb-0.23-29-i686.pkg.tar.gz

When I look at the contents for the the mythweather it only has
.PKGINFO

Also have some older packages for:
mythweather-0.23-5-i686.pkg.tar.gz
mythtv-0.23-23-i686.pkg.tar.gz
mythweb-0.23-5-i686.pkg.tar.gz


Top
 Profile  
 
 Post subject:
PostPosted: Thu Aug 26, 2010 11:20 am 
Offline
Joined: Sat Feb 03, 2007 12:52 am
Posts: 187
Location: Manitoba, Canada
Older versions of LinHES used open_basedir restrictions. New installs have it commented out. From the error your getting it looks like it's trying to execute some PHP code that is not in the allowable path. Options are to comment it out like new install do, or add the offending path. (about line 253 in /etc/php/php.ini)

I submitted a bug report on mythweather-0.23-29. It says it's closed but I haven't seen it pushed through to stable yet. Looks like the original posters are using testing.


Top
 Profile  
 
 Post subject:
PostPosted: Thu Aug 26, 2010 2:53 pm 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 977
Location: Lexington, Ky
Yes I check to make sure it was closed before I did the update. The path it is complaining about doesn't exist. So couldn't add the path.

Where do I comment out open_basedir restrictions
Code:
Older versions of LinHES used open_basedir restrictions. New installs have it commented out.


And how do I get Myth Weather back on the menu?

Thanks.


Top
 Profile  
 
 Post subject:
PostPosted: Fri Aug 27, 2010 12:40 am 
Offline
Joined: Thu Dec 07, 2006 10:25 am
Posts: 109
Location: Elgin, Illinois
The testing version got it back for me, but crashes Myth so not really an improvement. Since testing is being kind of unstable I stopped using it now.

_________________
The Atomic Ant.


Top
 Profile  
 
 Post subject:
PostPosted: Fri Aug 27, 2010 3:45 pm 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 977
Location: Lexington, Ky
Update

I commented out the open_basedir = at line 253 in /etc/php/php.ini)
then restarted. That took care of the mythweb error.

But I still don't have mythweather in the menu's of on mythweb. When I pull up the mythweather settings page I get the following error.

Could not find '/usr/share/mythtv/mythweather/scripts/us_nws/nws-alert.pl'.
This most likely means that MythWeather is not installed on this host.

What happened to mythweather? The whole mythweather subdir is gone.

If I untar mythweather-0.23-5-i686.pkg.tar.gz will that fix it and be compatable with everything else?


Top
 Profile  
 
 Post subject:
PostPosted: Sat Aug 28, 2010 9:11 pm 
Offline
Joined: Mon Apr 10, 2006 3:48 pm
Posts: 977
Location: Lexington, Ky
Update: Resolved

Did another update this evening:
pacman -Syu

Looks like the needed packages are all now available.
After the update everything is working.

Current pkg levels are now:

mythtv-0.23-31-i686.pkg.tar.gz
mythweather-0.23-30-i686.pkg.tar.gz
mythweb-0.23-29-i686.pkg.tar.gz
mythnews-0.23-29-i686.pkg.tar.gz


Top
 Profile  
 

Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 15 posts ] 


All times are UTC - 6 hours




Who is online

Users browsing this forum: No registered users and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Jump to:  
Powered by phpBB® Forum Software © phpBB Group

Theme Created By ceyhansuyu